> ## Documentation Index
> Fetch the complete documentation index at: https://developer.findity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# V0 - Add/remove Accounting Consultant (externalId)

> Creates, updates or deletes an Accounting Consultant. Please not: A setting for creating accounts if they do not exists (on CA level) needs to be toggled for this to work, please contact your contact person at Findity to get this enabled



## OpenAPI

````yaml openapi/findity-admin-api-1.json PUT /organizations/externalid/{externalId}/accountingconsultants/
openapi: 3.0.3
info:
  title: Findity Admin API
  description: ''
  version: 1.0.0
  contact:
    name: Findity Support
    email: support@findity.com
servers:
  - url: https://stage-expense.findity.com/api/admin
    description: Stage environment
  - url: https://expense.findity.com/api/admin
    description: Production environment
security:
  - bearerAuth: []
paths:
  /organizations/externalid/{externalId}/accountingconsultants/:
    put:
      tags:
        - Accounting Consultants
      summary: V0 - Add/remove Accounting Consultant (externalId)
      description: >-
        Creates, updates or deletes an Accounting Consultant. Please not: A
        setting for creating accounts if they do not exists (on CA level) needs
        to be toggled for this to work, please contact your contact person at
        Findity to get this enabled
      operationId: 7c039449-25b8-4c51-9ba3-c1939d684632
      parameters:
        - $ref: '#/components/parameters/externalId'
        - name: Content-Type
          in: header
          schema:
            type: string
            default: application/json
            description: ''
        - name: X-Findity-ApiVersion
          in: header
          schema:
            type: string
            default: '3'
            description: ''
      requestBody:
        description: ''
        content:
          application/json:
            schema:
              type: array
              items:
                type: object
                properties:
                  delete:
                    type: boolean
                  externalSourceId:
                    type: string
                  firstName:
                    type: string
                    example: New first name
                  lastName:
                    type: string
                    example: New last name
                  email:
                    type: string
                    example: myfake10@findity.com
                  accountingConsultantType:
                    type: string
                    example: REPORT_VIEWER
        required: true
      responses:
        '200':
          description: ''
components:
  parameters:
    externalId:
      in: path
      name: externalId
      required: true
      description: The external source id of the organization
      schema:
        type: string
      example: 6aeb86c4fb154c46b2b5a1977245ac67
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````